.search-form-container{
  .container{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 100vh;

    @include media-breakpoint-down(sm){
      max-width: 100%;
      padding: 0;
      height: 100%;
    }
    .content{
      @include media-breakpoint-down(sm){
        height: 100%;
      }
      @include media-breakpoint-up(md){
        margin-top: 50vh;
        transform: translateY(-50%);
        text-align: center;
      }
    }
  }
  &.active{
    transform: translateY(0);
    visibility: visible;
  }
  transform: translateY(-100%);
  visibility: hidden;
  transition: all .5s ease;
  position: fixed;
  z-index: 150;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: $blue;
  @include media-breakpoint-down(sm){
    transform: translateY(-100%);
    transition: all .3s ease;
    z-index: 0;
    position: absolute;
    width: 100%;
    height: 50px;
    top: 50px;
    background: $white;
    box-shadow: 0px 5px 9px -3px rgba(223, 223, 223, 0.5);
    .title{
      display: none;
    }
  }

  @include media-breakpoint-down(sm){
    #search-form{
      border-top: 1px solid $grey1;
      height: 100%;
      width: 100%;
      padding-left: 30px;
      display: flex;

      input{
        height: 100%;
        border: none;
        display: inline-block;
        &:focus{
          outline: none;
        }
        &.search-field{
          width: 70%;
          font-size: 20px;
          font-weight: $fw-bold;
          color: $blue;
          &::placeholder{
            color: $grey2;
            opacity: 1;
          }
        }
        &.search-submit{
          width: 30%;
          padding-left: 15px;
          padding-right: 15px;
          background: rgba($blue, .5);
          color: $white;
          letter-spacing: .5px;
          &:hover{
            cursor: pointer;
          }
        }
      }
    }
  }

  @include media-breakpoint-up(md){
    #search-form{
      display: inline-block;
      border-bottom: 2px solid rgba($white, .5);
      input{
        &:focus{
          outline: none;
        }
        &.search-field{
          background: transparent;
          border: none;
          font-size: 42px;
          font-weight: $fw-bold;
          color: $white;
          &::placeholder{
            color: $grey2;
            opacity: 1;
          }
        }
        &.search-submit{
          display: inline-block;
          color: transparent;
          border: none;
          width: 27px;
          height: 26px;
          background: url(../img/search.svg) center center no-repeat;
          background-size: cover;
          transform: translateY(-7px);
          &:hover{
            cursor: pointer;
          }
        }
      }
    }
  }




  .burger{
    position: absolute;
    right: 110px;
    top: 80px;
    @include media-breakpoint-down(sm){
      display: none;
    }
    &:hover{
      cursor: pointer;
    }
    span{
      display: block;
      width: 33px;
      height: 4px;
      margin-bottom: 5px;
      background: $white;
      z-index: 1;
      transform-origin: 4px 0;
      transform: translate(-2px, -18px) rotate(45deg) ;
      background: $white;
      transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0), background 0.5s cubic-bezier(0.77,0.2,0.05,1.0), opacity 0.55s ease;
      &:first-child{
        transform-origin: 0 0;
      }
      &:nth-last-child(2){
        transform-origin: 0 100%;
        transform: translate(0, 10px) rotate(-45deg) ;
      }
      &:nth-last-child(3){
        opacity: 0;
        transform: rotate(0deg) scale(0.2, 0.2);
      }
    }
  }
}



.search-page{
  margin-bottom: 80px;
  .search-result-title{
    font-size: 24px;
    font-weight: $fw-regular;
    margin-bottom: 20px;
    color: $blue2;
    @include media-breakpoint-down(sm){
      font-size: 22px;
    }
  }

  .search-result-item{
    margin-bottom: 30px;
    background: $white;
    transition: all .2s ease;
    box-shadow: 0 0 0 $grey2;
    &.hidden{
      display: none;
    }
    &:hover{
      transform: translate(-8px, -8px);
      box-shadow: 8px 8px 0 $grey2;
    }
    .search-result-item-url{
      display: flex;
      width: 100%;
      height: 100%;
      text-decoration: none;
    }
    .post-image{
      flex: 25%;
      height: 200px;
      background-size: cover;
      background-position: center center;
      position: relative;
      @include media-breakpoint-down(sm){
        flex: 30%;
      }
      .post-category{
        position: absolute;
        top: 0;
        color: $white;
        padding: 3px 10px;
        font-size: 14px;
        font-weight: $fw-bold;
        font-style: italic;
        text-transform: uppercase;
        letter-spacing: .8px;
        &.color-red{
          background: $red;
        }
        &.color-blue{
          background: $blue1;
        }
        &.color-green{
          background: $green;
        }
        &.color-grey{
          background: $grey2;
        }
        &.color-default{
          background: $grey2;
        }
      }
    }
    .post-infos{
      flex: 75%;
      padding: 30px;
      @include media-breakpoint-down(sm){
        flex: 60%;
        padding: 20px;
      }
      .post-title{
        color: $blue;
        font-size: 26px;
        margin-bottom: 20px;
        @include media-breakpoint-down(sm){
          font-size: 22px;
        }
      }
      .post-preview-meta{
        color: rgba($black, .5);
      }
    }

  }

  .button-container{
    margin-top: 40px;
    text-align: center;
    button.show-more{
      color: $blue;
      text-transform: uppercase;
      font-weight: $fw-medium;
      border: 2px solid $blue;
      padding: 5px 15px;
      &.hidden{
        display: none;
      }
      &:hover{
        border-color: $blue2;
        color: $blue2;
        cursor: pointer;
      }
    }
  }
}